Bug 135367 - Output of Username not correct
Output of Username not correct
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: procps (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 05:24 EDT by Mario Heininger
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 09:10:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mario Heininger 2004-10-12 05:24:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.3)
Gecko/20040803

Description of problem:
When a username is longer than 8 Character, the ps -aux command
reportes the UID and not the Username !

5000     22033  0.0  0.0     0    0 ?        Z    04:00   0:00
[download <defunct>]
oracle   22450  0.0  0.7 134712 19952 ?      S    08:17   0:00
oraclerenting (LOCAL=NO)

User oracle is displayed correctly, but User 5000 is in Passwd
definied as "interflex"



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Add user with more than 8 Chars
2. View Processtable with "ps aux"
3.
    

Additional info:
Comment 1 Albert Cahalan 2004-10-13 21:42:19 EDT
The POSIX and UNIX standard requires this behavior.
See the man page for ways to increase the column size.
Comment 2 Mario Heininger 2004-10-14 04:07:16 EDT
Are you sure ? Maybe, when the Colum is tuncated at 8 chars it where
okay, but it displays only the UID, that is bad.
Comment 3 Karel Zak 2004-10-14 09:09:07 EDT
Comments from procps code:

The Open Group Base Specifications Issue 6 (IEEE Std 1003.1, 2004
Edition) requires that user and group names print as decimal numbers
if there is not enough room in the column, so tough luck if you don't
like it.

The UNIX and POSIX way to change column width is to rename it:
      ps -o pid,user=CumbersomeUserNames -o comm

The easy way is to directly specify the desired width:
      ps -o pid,user:19,comm

Note You need to log in before you can comment on or make changes to this bug.